<?php
 
 
 

namespace PhpWA\Protocol\Proto\HistorySync;

use UnexpectedValueException;




class BotAIWaitListState
{
    


    const IN_WAITLIST = 0;
    


    const AI_AVAILABLE = 1;

    private static $valueToName = [
        self::IN_WAITLIST => 'IN_WAITLIST',
        self::AI_AVAILABLE => 'AI_AVAILABLE',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

